// Define an alternate dark theme.
@use '@angular/material' as mat;
$blue-primary: mat.define-palette(mat.$blue-palette);
$blue-accent: mat.define-palette(mat.$deep-orange-palette);
$blue-warn: mat.define-palette(mat.$red-palette);
$blue-theme: mat.define-light-theme(
  (
    color: (
      primary: $blue-primary,
      accent: $blue-accent,
      warn: $blue-warn,
    ),
  )
);

.theme-blue {
  @include mat.all-component-colors($blue-theme);

  .theme-bg {
    background-color: mat.get-color-from-palette($blue-primary);
  }
}

.blue-bg {
  background-color: mat.get-color-from-palette($blue-primary);
}
